Subject: Re: [PATCH 1/5] powerpc: Make early xmon logic immune to location of early parsing

From: Tom Rini <[email-masked]>
Date: Mon, 22 May 2006 07:26:03 -0700

On Mon, May 22, 2006 at 05:03:08PM +1000, Michael Ellerman wrote:
[snip]
> But as far as xmon and kgdb is concerned it really shouldn't matter that
> the parsing is happening earlier. Instead of calling directly into
> xmon/kgdb from the parsing code you set a global which is tested later.

Yes, so instead of one method of telling the kernel we want to have kgdb
asap, and one method of implementing that on all architectures we have
the command line parsed sometimes (and we just drop right in), other
architectures we need to write something to set a flag we check later,
and someone else writes something different for this on yet another
platform and we're back to where we started from.  That's my fear :)

-- 
Tom Rini